<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'product',

    /*
     * Modules.
     */
    'modules'   => ['product'],

    
    'product'       => [
        'model' => [
            'model'                 => \Litecms\Product\Models\Product::class,
            'table'                 => 'products',
            'presenter'             => \Litecms\Product\Repositories\Presenter\ProductPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'category_id',  'discription',  'summary',  'features',  'tags',  'model',  'meta_title',  'meta_discription',  'meta_keywords',  'sku',  'upc',  'ean',  'jan',  'isbn',  'mpn',  'location',  'price',  'tax',  'slider',  'quantity',  'minimum_qauantity',  'subtract_stock',  'stock_status',  'shipping',  'date_available',  'dimensions',  'dimension_class',  'weight',  'weight_class',  'sort_order',  'related_products',  'discount',  'images',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'product/product',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Product',
            'module'    => 'Product',
        ],

    ],
];
